## python-cherrypy 2.3.0

=== debian/changelog ===
python-cherrypy (2.3.0-5) unstable; urgency=medium

  * Team upload.

  [ Stefano Rivera ]
  * Convert cdbs-simple-patchsys to quilt, for the git migration.
  * git-dpm tag config.

  [ SVN-Git Migration ]
  * Update Vcs fields for git migration.

  [ Mattia Rizzolo ]
  * Port to dh-python2 from python-support.  Closes: #785995
  * Switch build system from cdbs to dh
  * debian/watch: project now moved to pypi, update using the pypi.debian.net.
  * debian/compat: bump to 9.
  * debian/control:
    + Bumpd Standards-Version to 3.9.6, no changes needed.
    + Build-depend on python instead of python-dev, since it builds only
      arch:all packages.
    + Depends on ${misc:Depends}.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Dec 2015 21:58:24 +0000

python-cherrypy (2.3.0-4) unstable; urgency=low

  [ Scott Kitterman ]
  * Add debian/patches/04_use_hashlib.diff to port from sha/md5 to hashlib and
    fix deprecation warnings with Python 2.6

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Drop obsolete Conflicts/Replaces with python2.4-cherrypy2.1 and
    python2.3-cherrypy2.1.

  [ Gustavo Noronha Silva ]
  * Change maintainer to be the team.

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 01 Dec 2014 14:32:24 -0200

python-cherrypy (2.3.0-3) unstable; urgency=low

  * debian/control:
  - make this package extra, because it conflicts with cherrypy3
  - bump Standards-Version to 3.8.2, with no changes

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 15 Aug 2009 14:13:20 -0300

python-cherrypy (2.3.0-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Gustavo Noronha Silva ]
  * debian/patches/01_ignore_invalid_cookies.diff:
  - patch from upstream, provided by Alban Crequy
    <ext-alban.crequy@nokia.com> to ignore invalid cookies
    (Closes: #514032)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 09 May 2009 12:40:54 -0300

python-cherrypy (2.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/watch:
  - updated watch file to look for 2.3.x releases
  * debian/patches/04_CVE-2008-0252.diff:
  - applied upstream; removing
  * debian/control:
  - no longer build-depends on revision -1 of setuptools

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 10 May 2008 16:46:50 -0300

python-cherrypy (2.2.1-4) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Svn, Vcs-Browser and Homepage fields added
  * New python-support handles egg's directory name correctly
    - bump python-support required version
    - remove mv part from debian/rules

  [ Loic Minier ]
  * Only track 2.x versions in watch file; thanks Goedson Teixeira Paixao.

  [ Scott Kitterman ]
  * debian/patches/03_autoreloader_fix.dpatch
    - Fixed the auto-reloader if modules with an invalid __file__ attribute
      are loaded, using code from CherryPy 3.

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Gustavo Noronha Silva ]
  * acknowledging NMU by Nico, thanks! (Closes: #461069)
  * debian/control:
  - updated Standards-Version to 3.7.3
  - turn build-depends-indep into build-deps, since they are needed on clean

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 24 Jan 2008 13:31:32 -0200

python-cherrypy (2.2.1-3.1) unstable; urgency=high

  * Non-maintainer upload by security team.
  * This update addresses the following security issue:
    - Directory traversal vulnerability in the _get_file_path function
      in filter/sessionfilter.py allows remote attackers to create or
      delete arbitrary files, and possibly read and write portions of
      arbitrary files, via a crafted session id in a cookie
      (CVE-2008-0252; Closes: #461069).

 -- Nico Golde <nion@debian.org>  Fri, 18 Jan 2008 16:25:39 +0100

python-cherrypy (2.2.1-3) unstable; urgency=low

  * debian/rules, debian/control:
  - updated to follow the new Python Policy, build-depending on the
    newest versions of cdbs, python-support and debhelper
    (Closes: #373517)
  * debian/python-cherrypy.{postinst,prerm}:
  - removed; generated by python-support

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  4 Jun 2006 23:50:37 -0300

python-cherrypy (2.2.1-2) unstable; urgency=low

  * debian/patches/02_eggify.diff:
  - fixed to only patch setup.py, so that it imports setup
    from setuptools instead of distutils; ez_setup is not
    needed
  * debian/patches/00_supress_profiler_warning.diff:
  - stop warning about the profiler module not being packaged
    in the main python distribution; that is documented in
    README.Debian
  * debian/control:
  - move python and python-setuptools to Build-Depends,
    since they are needed at the clean target
  * debian/watch:
  - new uscan support file, using the sf.net trick

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  4 Jun 2006 23:44:26 -0300

python-cherrypy (2.2.1-1) unstable; urgency=low

  * debian/patches/*:
  - renamed to have numbers defining the order in which they
    should be applied
  * debian/README.Debian:
  - added, documenting the Python profiler only being available
    in a non-free package problem
  * debian/rules, debian/python-cherrypy.{postinst,prerm}:
  - install py files to the python-cherrypy instead of cherrypy
    for python-support; using the package name is the correct,
    documented way of doing it.
  * debian/patches/01_auto-reload-with-python-support.diff:
  - removed because python-support >= 0.2, which I depend upon
    provides symlinks for the .py files;
  * debian/control:
  - depend on python-support >= 0.2; see above
  - Standards-Version to 3.7.2, no changes

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 13 May 2006 17:06:10 -0300

python-cherrypy (2.2.0-3) unstable; urgency=low

  * Upload to unstable (duh)

 -- Gustavo Noronha Silva <kov@debian.org>  Thu,  4 May 2006 00:25:21 -0300

python-cherrypy (2.2.0-2) experimental; urgency=low

  * debian/source.lintian-overrides:
  - this package needs debhelper and cdbs for the clean target

