=== debian/control ===
Source: python-cherrypy
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python-setuptools (>= 0.6a9), python, dh-python
Standards-Version: 3.9.6
Homepage: http://www.cherrypy.org/
XS-Python-Version: all
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-cherrypy.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-cherrypy.git

Package: python-cherrypy
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python web development framework
 CherryPy is a pythonic, object-oriented web development framework. It
 provides the foundation over which complex web-based applications can
 be written, with little or no knowledge of the underlying
 protocols. CherryPy allows developers to build web applications in
 much the same way they would build any other object-oriented Python
 program. This usually results in smaller source code developed in
 less time.
 .
 This version is backwards incompatible with the 2.0 version, and is
 the version used by the Turbo Gears framework. Visit the Turbo Gears
 webpage for more: http://www.turbogears.org/
