=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- --install-data usr/share/doc/python-cherrypy

override_dh_compress:
	dh_compress -X.pdf
